/*
=======
Global.
=======
*/

*,
*:after,
*:before {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-family: var(--ns-base-font-family);
  font-size: var(--ns-base-font-size);
  line-height: var(--ns-base-line-height);
  overflow: hidden;
}

a {
  color: var(--ns-link-color);
}

a:hover {
  color: var(--ns-link-color-hover);
}

/*
=======
Layout.
=======
*/

.ns-layout {
  display: flex;
  flex-direction: column;
  gap: var(--ns-spacing-1);

  color: var(--ns-layout-color);
  background: var(--ns-layout-background-color);
  padding: var(--ns-spacing-1);

  width: 100%;
  height: 100%;

  position: fixed;
  top: 0;
  left: 0;
}

/*
===============
Layout: header.
===============
*/

.ns-layout__header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: var(--ns-spacing-1);
}

.ns-layout__header__title {
  flex: 1;

  font-size: var(--ns-h1-font-size);
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

/*
=============
Layout: main.
=============
*/

.ns-layout__main {
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  gap: var(--ns-spacing-1);

  flex: 1;
}

.ns-layout__main__col {
  display: flex;
  align-items: center;
  justify-content: center;
}

@media (max-width: 700px) {
  .ns-layout__main {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr auto 1fr;
  }
}

/*
=========
Textarea.
=========
*/

.ns-textarea {
  border: 0;

  color: var(--ns-textarea-color);
  background-color: var(--ns-textarea-background-color);

  font-family: var(--ns-textarea-font-family);
  font-size: inherit;
  line-height: inherit;

  padding: var(--ns-spacing-1);
  resize: none;
}

.ns-textarea::placeholder {
  color: inherit;
  font-family: var(--ns-base-font-family);
  opacity: var(--ns-textarea-placeholder-opacity);
}

/*
=======
Button.
=======
*/

.ns-button {
  appearance: none;
  background-color: transparent;
  border: 0;

  cursor: pointer;
  font-size: var(--ns-button-font-size);
}
